<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						        <span *ngIf="cabang">{{cabang?.kode}} - {{cabang?.nama}} </span>
						        <span *ngIf="!cabang">MENU UPLOAD BERKAS</span>
						    </h4>
						    <br/>
						    </div>
        			<div class="card-body">
        			<mat-accordion>
					  <!-- <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"> -->
					  <mat-expansion-panel [disabled]="true" [expanded]="true">
					    <mat-expansion-panel-header>
					      <mat-panel-title>
					        <span class="textH">FILTER PENCARIAN</span>
					      </mat-panel-title>
					      <!-- <mat-panel-description>
					        Currently I am {{panelOpenState ? 'open' : 'closed'}}
					      </mat-panel-description> -->
					    </mat-expansion-panel-header>
								<div class="row">
							    	<div class="col-md-2"  [formGroup]="editForm">
							            <div class="input-group mb-3" >
							                  <select class="form-control textH" name="ppd" formControlName="ppd" id="field_sistem" (change)="onChange($event.target.value)">
							                      <option class="textH" value="" selected disabled>PILIH PENCARIAN</option>
							                      <option value="tgl" class="textH">TANGGAL KONTRAK</option>
							                      <option value="bln" class="textH">BULAN KONTRAK</option>
							                  </select>
										</div>
							         </div>
							        <div class="col-md-5">
							            <div class="input-group mb-4">
							                 <span *ngIf="sPpd">
							                	<input type="date" class="form-control textH" name="date" [(ngModel)]="date" (ngModelChange)="searchPpd('ppdDate')" required/>
											 </span> 
											 <span *ngIf="!sPpd">
							               		 <input type="month" class="form-control textH" name="month" [(ngModel)]="month" (ngModelChange)="searchPpd('ppdMonth')" required/>
											 </span>
							            </div>
							        </div>
							        <div class="col-md-2">
									</div>
							        <div class="col-md-3 input-group" [formGroup]="ppkGroup">
										<input type="text" class="form-control textH"  name="ppknomor" id="ppknomor" placeholder="Cari nomor kontrak..." formControlName="ppknomor">
										<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchppk('ppkNomor')">
						                        <i class="material-icons">search</i>
						                </button>
									</div>
							    </div>
					  </mat-expansion-panel>
					</mat-accordion>
	        			<!-- <div class="row">
					        <div class="col-md-5">
					            <h4 jhiTranslate="audits.filter.title" class="textH">Filter by date</h4>
					            <div class="input-group mb-3">
					                <div class="input-group-prepend">
					                    <span class="input-group-text textB" jhiTranslate="logbook.filter.from">from</span>
					                </div>
					                <input type="date" class="form-control" name="start" [(ngModel)]="fromDate" (ngModelChange)="transition()" required/>
					
					                <div class="input-group-append">
					                    <span class="input-group-text textB" jhiTranslate="logbook.filter.to">To</span>
					                </div>
					                <input type="date" class="form-control" name="end" [(ngModel)]="toDate" (ngModelChange)="transition()" required/>
					            </div>
					        </div>
					    </div> -->
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <div class="table-responsive-sm" *ngIf="berkases?.length > 0">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadData.bind(this)" class="textH">
							            <td scope="col" class="d-none d-sm-table-cell" ><span>TGL. KONTRAK</span></td>
							            <td scope="col" class="d-sm-table-cell" jhiTranslate="uploadberkas.noppk"></td>
							            <td scope="col" class="d-none d-sm-table-cell" ><span>CABANG</span></td>
							            <td scope="col" class="d-sm-table-cell" jhiTranslate="uploadberkas.namaKonsumen"></td>
							            <td scope="col" class="d-none d-sm-table-cell text-center" style="width:40px;">KTP</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center" style="width:40px;">KK/NPWP</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center text-nowrap" style="width:50px;">KONTRAK</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center text-nowrap" style="width:70px;">SK-FIDUSIA</td>
							            
							            <td scope="col" class="d-none d-sm-table-cell text-center text-nowrap" style="width:70px;">AKTA-PEND</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center text-nowrap" style="width:70px;">AKTA-PER</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center text-nowrap" style="width:50px;">SK-KEMEN</td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let berkas of berkases let i= index" class="textB">
						                <td class="d-none d-sm-table-cell">{{berkas.tanggalPpk | date:'dd-MM-yyyy'}}</td>
						                <td class="d-sm-table-cell text-left">{{berkas.ppkNomor}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{berkas.cabang.nama}}</td>
						                <td class="d-sm-table-cell text-left">
											<span *ngIf="berkas.nsbJenis == 2"><fa-icon [icon]="'user'"></fa-icon></span>
											<span *ngIf="berkas.nsbJenis == 1"><fa-icon [icon]="'building'"></fa-icon></span>&nbsp;{{berkas.namaNasabah}}</td>
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.identitas">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.identitas" (click)="viewBerkas(berkas.identitas)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
											<span *ngIf="berkas.nsbJenis == 2">
						                        <a class="hand" *ngIf="!berkas.kk">
						                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
						                        </a>
						                        <a class="hand" *ngIf="berkas.kk" (click)="viewBerkas(berkas.kk)">
						                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
						                        </a>
											</span>
											<span *ngIf="berkas.nsbJenis == 1">
						                        <a class="hand" *ngIf="!berkas.npwp">
						                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
						                        </a>
						                        <a class="hand" *ngIf="berkas.npwp" (click)="viewBerkas(berkas.npwp)">
						                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
						                        </a>
											</span>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.ppk">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.ppk" (click)="viewBerkas(berkas.ppk)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.skNasabah">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.skNasabah" (click)="viewBerkas(berkas.skNasabah)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
										
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.aktaPend">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.aktaPend" (click)="viewBerkas(berkas.aktaPend)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.aktaPerub">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.aktaPerub" (click)="viewBerkas(berkas.aktaPerub)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.skPendirian">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.skPendirian" (click)="viewBerkas(berkas.skPendirian)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
						                <!--<td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.situ">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.situ" (click)="viewBerkas(berkas.situ)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.siup">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.siup" (click)="viewBerkas(berkas.siup)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>
						                <td class="d-none d-sm-table-cell text-center">
					                        <a class="hand" *ngIf="!berkas.tdp">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon-disable"></fa-icon>
					                        </a>
					                        <a class="hand" *ngIf="berkas.tdp" (click)="viewBerkas(berkas.tdp)">
					                            <fa-icon [icon]="'eye'" size="lg" class="eye-icon"></fa-icon>
					                        </a>
										</td>-->
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadData($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>